### Function

# Gimp fonts_popup

#### Declaration [src]

    gboolean
    gimp_fonts_popup (
      const gchar* font_callback,
      const gchar* popup_title,
      GimpFont* initial_font,
      GBytes* parent_window
    )

#### Description [src]

Invokes the Gimp font selection dialog.

Opens a dialog letting a user choose a font.

#### Parameters

`font_callback`

  Type: `const gchar*`

  The callback PDB proc to call when user chooses a font.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`popup_title`

  Type: `const gchar*`

  Title of the font selection dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`initial_font`

  Type: `GimpFont`

  The name of the initial font choice.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`parent_window`

  Type: `GBytes`

  An optional parent window handle for the popup to be set transient to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.